TagLibraryInfoImpl (Jasper Internal API Documentation)
Keywords: org.apache.jasper.compiler.TagLibraryInfoImpl class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jasper.compiler
Class TagLibraryInfoImpl

    java.lang.Object
      javax.servlet.jsp.tagext.TagLibraryInfo
          org.apache.jasper.compiler.TagLibraryInfoImpl

public class TagLibraryInfoImpl
extends javax.servlet.jsp.tagext.TagLibraryInfo

Implementation of the TagLibraryInfo class from the JSP spec.

Author:
  Anil K. Vijendran, Mandar Raje, Pierre Delisle

Field Summary
`protected javax.servlet.jsp.tagext.TagLibraryValidator` | `tagLibraryValidator`

Fields inherited from class javax.servlet.jsp.tagext.TagLibraryInfo
`info, jspversion, prefix, shortname, tags, tlibversion, uri, urn`

Constructor Summary
`TagLibraryInfoImpl(JspCompilationContext ctxt, java.lang.String prefix, java.lang.String uriIn, java.lang.String[] location, ErrorDispatcher err)`

Method Summary
`javax.servlet.jsp.tagext.TagLibraryValidator` | `getTagLibraryValidator()` The instance (if any) for the TagLibraryValidator class.
`java.lang.String` | `toString()`
`javax.servlet.jsp.tagext.ValidationMessage[]` | `validate(javax.servlet.jsp.tagext.PageData thePage)` Translation-time validation of the XML docu-ment associated with the JSP page.

Methods inherited from class javax.servlet.jsp.tagext.TagLibraryInfo
`getInfoString, getPrefixString, getReliableURN, getRequiredVersion, getShortName, getTag, getTags, getURI`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### tagLibraryValidator

    protected javax.servlet.jsp.tagext.TagLibraryValidator tagLibraryValidator

Constructor Detail

### TagLibraryInfoImpl

    public TagLibraryInfoImpl(JspCompilationContext ctxt,
                              java.lang.String prefix,
                              java.lang.String uriIn,
                              java.lang.String[] location,
                              ErrorDispatcher err)
                       throws JasperException

Method Detail

### toString

    public java.lang.String toString()

### getTagLibraryValidator

    public javax.servlet.jsp.tagext.TagLibraryValidator getTagLibraryValidator()

  The instance (if any) for the TagLibraryValidator class.

  Returns:
    The TagLibraryValidator instance, if any.

### validate

    public javax.servlet.jsp.tagext.ValidationMessage[] validate(javax.servlet.jsp.tagext.PageData thePage)

  Translation-time validation of the XML docu-ment associated with the JSP page. This is a convenience method on the associated TagLibraryValidator class.

  Parameters:
    `thePage` - The JSP page object
  Returns:
    A string indicating whether the page is valid or not.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache Software Foundation. All Rights Reserved.